MARTe2-core - User story #122

MARTe-EX-F-1.1.7: A framework developer shall be capble of querying the number of CPU cores
available in the system where MARTe is running.

29.05.2015 14:19 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 4.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-F-1.1.7 based on the original MARTe implementation

Note: Being able to know the number of CPU cores available allow framework developers to take run-time decisions about the
distribution of resources (e.g. threading affinity).

Source code files modified

e Source\Core\LOPortability\Architecture\x86_cl\ProcessorA.h

¢ Source\Core\LOPortability\Architecture\x86_gcc\ProcessorA.h

¢ Source\Core\LOPortability\OperatingSystem\Linux\ProcessorOS.h
¢ Source\Core\LOPortability\OperatingSystem\Windows\ProcessorOS.h
e Source\Core\LOPortability\Processor.cpp

e Source\Core\LOPortability\Processor.h

e Source\Core\LOPortability\ProcessorType.cpp

e Source\Core\LOPortability\ProcessorType.h

¢ Test/Core/LOPortability/ProcessorTest.h

¢ Test/Core/LOPortability/ProcessorTest.cpp

¢ Test/Core/LOPortability/ProcessorTypeTest.h

e Test/Core/LOPortability/ProcessorTypeTest.cpp

e Test/GTest/ProcessorGTest.cpp

e Test/GTest/ProcessorTypeGTest.cpp

Architecture & design review
Date of the review: 12/06/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/06/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

11.04.2025 1/4




Unit test review

Date of the review: 01/07/2015

Person who did the review: Andre Neto

Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 58852254 - 15.06.2015 11:53 - Giuseppe Ferro
Added processor related functions. #122 #123

Revision bdcff817 - 15.06.2015 16:38 - Giuseppe Ferro

Added const to functions and operators that does not change class attributes.
#122

Revision 142aa3bd - 17.06.2015 13:23 - Giuseppe Ferro

Formatted code using new templates.
#122 #123

Revision 886334a7 - 17.06.2015 14:59 - Giuseppe Ferro

Moved a global variable into the class.
#122 #123

Revision 3573b526 - 18.06.2015 10:24 - Giuseppe Ferro

Fixed errors accordingly with revision.
#122 #123

Revision 3d7d5f94 - 26.06.2015 11:58 - Giuseppe Ferro

Added Processor and ProcessorType tests.
#122 #123

Revision 95¢810f0 - 26.06.2015 11:59 - Giuseppe Ferro

Added Processor and ProcessorType GTests.
#122 #123

Revision 3ce66bf7 - 07.07.2015 17:04 - Llorenc Capella
#122 documentation improvement
line 58

Revision 88afe86d - 09.07.2015 15:37 - LIorenc Capella

#122 ProcessorTypeTest modifications & #113 HighREsolutionTimerTest and
SleepTest

List of changes of #122:  * Test added in ProcessorTypeTest.cpp * Documentation improvements in ProcessorTypeTest.h  * Format
ProcessorTypeTest.cpp, ProcessorTypeTest.h, ProcessorTest.cpp

List of changes #113:  * Name of the sleep functions modified based on the Ivan comments.  * Small modifications in
HighResolutionTimer::Counter32.  * TestCounter32 input parameter changed in order to avoid overfloat.

History

#1 - 03.06.2015 10:43 - Riccardo Vitelli
- Target version changed from Backlog to 0.1

- Start date deleted (29.05.2015)
- Estimated time set to 4.00 h

#2 - 12.06.2015 10:31 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#3 - 12.06.2015 11:15 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 12.06.2015 18:28 - André Neto

- Description updated

#5 - 15.06.2015 10:10 - Riccardo Vitelli
- Status changed from Arch: Rev to Code: Impl

#6 - 15.06.2015 10:10 - Riccardo Vitelli

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 17.06.2015 12:23 - lvan Herrero

- Description updated

#8 - 17.06.2015 18:24 - lvan Herrero

- Description updated

#9 - 18.06.2015 09:35 - Ivan Herrero
- Status changed from Code: Impl to Code: Rev

#10 - 18.06.2015 14:58 - Ivan Herrero

- Description updated

#11 - 18.06.2015 15:08 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl

#12 - 18.06.2015 15:10 - Ivan Herrero
- Assignee deleted (Giuseppe Ferro)

#13 - 18.06.2015 15:19 - Ivan Herrero

- Description updated

#14 - 18.06.2015 18:18 - Ivan Herrero

Code and documentation review passed. Unit testing implementation pending.

#15 - 25.06.2015 17:22 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#16 - 01.07.2015 08:28 - André Neto

- Assignee set to André Neto

#17 - 01.07.2015 08:43 - André Neto

- Description updated

#18 - 01.07.2015 09:00 - André Neto

- Description updated

#19 - 01.07.2015 10:07 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#20 - 01.07.2015 10:07 - Riccardo Vitelli
- Assignee deleted (André Neto)

#21 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#22 - 07.07.2015 17:11 - Llorenc Capella

- Assignee set to Llorenc Capella

#23 - 10.07.2015 11:03 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

- Assignee deleted (Llorenc Capella)

#24 - 13.07.2015 16:26 - lvan Herrero

- Assignee set to Ivan Herrero

#25 - 13.07.2015 18:17 - Ilvan Herrero

- Description updated

Unit test review made on a4ac939:

The issues from the last review have been corrected.

New issues detected and corrected on the fly on 1ef7999.

#26 - 14.07.2015 12:36 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

#27 - 14.07.2015 12:36 - Riccardo Vitelli

- Assignee deleted (lvan Herrero)
